package sun.management.snmp.util;

import com.sun.jmx.snmp.SnmpStatusException;
import com.sun.jmx.snmp.SnmpOid;
import java.util.TreeMap;

public final class SnmpLoadedClassData extends SnmpCachedData
{
    public SnmpLoadedClassData(long n, TreeMap<SnmpOid, Object> treeMap) {
        super(n, treeMap, false);
    }
    
    @Override
    public final Object getData(SnmpOid snmpOid) {
        int n;
        try {
            n = (int)snmpOid.getOidArc(0);
        }
        catch (SnmpStatusException ex) {
            return null;
        }
        if (n >= this.datas.length) {
            return null;
        }
        return this.datas[n];
    }
    
    @Override
    public final SnmpOid getNext(SnmpOid snmpOid) {
        if (snmpOid == null && this.datas != null && this.datas.length >= 1) {
            return new SnmpOid(0L);
        }
        int n;
        try {
            n = (int)snmpOid.getOidArc(0);
        }
        catch (SnmpStatusException ex) {
            return null;
        }
        if (n < this.datas.length - 1) {
            return new SnmpOid((long)(n + 1));
        }
        return null;
    }
    
    @Override
    public final boolean contains(SnmpOid snmpOid) {
        int n;
        try {
            n = (int)snmpOid.getOidArc(0);
        }
        catch (SnmpStatusException ex) {
            return false;
        }
        return n < this.datas.length;
    }
}
